package com.qmth.distributed.print.business.entity;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.base.BaseEntity;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 考务数据（考场关联科目）
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
@TableName("exam_detail_course")
public class ExamDetailCourse extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学校id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("school_id")
    private Long schoolId;

    @ApiModelProperty(value = "机构id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField(value = "org_id", updateStrategy = FieldStrategy.IGNORED)
    private Long orgId;

    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("exam_detail_id")
    private Long examDetailId;

    @TableField("course_code")
    private String courseCode;

    @TableField("course_name")
    private String courseName;

    @TableField("paper_number")
    private String paperNumber;

    @TableField("total_subjects")
    private Integer totalSubjects;

    @TableField("paper_pages_a3")
    private Integer paperPagesA3;

    @TableField("card_pages_a3")
    private Integer cardPagesA3;

    @ApiModelProperty(value = "当前试卷类型")
    @TableField("paper_type")
    private String paperType;

    @TableField("clazz_id")
    private String clazzId;

    @ApiModelProperty(value = "备用题卡json")
    @TableField("attachment_id")
    private String attachmentId;

    @ApiModelProperty(value = "模式2下考生题卡json")
    @TableField("common_attachment_id")
    private String commonAttachmentId;

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public String getAttachmentId() {
        return attachmentId;
    }

    public void setAttachmentId(String attachmentId) {
        this.attachmentId = attachmentId;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public Long getExamDetailId() {
        return examDetailId;
    }

    public void setExamDetailId(Long examDetailId) {
        this.examDetailId = examDetailId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public Integer getTotalSubjects() {
        return totalSubjects;
    }

    public void setTotalSubjects(Integer totalSubjects) {
        this.totalSubjects = totalSubjects;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Integer getPaperPagesA3() {
        return paperPagesA3;
    }

    public void setPaperPagesA3(Integer paperPagesA3) {
        this.paperPagesA3 = paperPagesA3;
    }

    public Integer getCardPagesA3() {
        return cardPagesA3;
    }

    public void setCardPagesA3(Integer cardPagesA3) {
        this.cardPagesA3 = cardPagesA3;
    }

    public String getClazzId() {
        return clazzId;
    }

    public void setClazzId(String clazzId) {
        this.clazzId = clazzId;
    }

    public String getCommonAttachmentId() {
        return commonAttachmentId;
    }

    public void setCommonAttachmentId(String commonAttachmentId) {
        this.commonAttachmentId = commonAttachmentId;
    }
}
